from PyQt6.QtWebEngineCore import QWebEngineProfile, QWebEnginePage
from PyQt6.QtWebEngineWidgets import QWebEngineView
from PyQt6.QtWidgets import QApplication
from PyQt6.QtCore import QUrl
import sys


if __name__ == "__main__":
    app = QApplication(sys.argv)

    profile = QWebEngineProfile("Test")
    page = QWebEnginePage(profile)
    view = QWebEngineView()

    view.setPage(page)
    view.setUrl(QUrl("https://google.com"))

    view.show()

    sys.exit(app.exec())
